<div class="container mt-5">
    <div *ngIf="(basketService.basketSource$ | async) === null">
        <p>There are no items in your basket</p>
    </div>

    <ng-container *ngIf="(basketService.basketSource$ | async) as basket">
        <div class="container">
            <div class="row">
                <div class="table-responsive">
                    <table class="table">
                        <thead class="bg-light text-uppercase">
                            <tr>
                                <th><div class="py2">Product</div></th>
                                <th><div class="py2">Price</div></th>
                                <th><div class="py2">Quantity</div></th>
                                <th><div class="py2">Total</div></th>
                                <th><div class="py2">Remove</div></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let item of basket.items">
                                <th>
                                    <div class="p-2 d-inleine-block">
                                        <img 
                                            src="{{item.pictureUrl}}" 
                                            alt="{{item.productName}}"
                                            class="img-fluid"
                                            style="max-height: 50px;"
                                        >
                                        <div class="ms-3 d-inline-block align-middle">
                                            <h5 class="mb-0">
                                                <a routerLink="/shop/{{item.id}}" class="tex-dark text-decoration-none">
                                                    {{item.productName}}
                                                </a>
                                            </h5>
                                            <span class="text-muted fst-italic">
                                                Type: {{item.type}}
                                            </span>
                                        </div>
                                    </div>
                                </th>
                                <td class="align-middle">
                                    <strong>{{item.price | currency}}</strong>
                                </td>
                                <td class="align-middle">
                                    <div class="d-flex align-items-center">
                                        <i 
                                            (click)="removeItem(item.id, 1)"
                                            class="fa fa-minus-circle text-warning me-2" 
                                            style="cursor: pointer; font-size: 2em;"
                                        ></i>
                                        <strong style="font-size: 1.5em;">{{item.quantity}}</strong>
                                        <i 
                                            (click)="incrementQuantity(item)"
                                            class="fa fa-plus-circle text-warning ms-2" 
                                            style="cursor: pointer; font-size: 2em;"
                                        ></i>
                                    </div>
                                </td>
                                <td class="align-middle">
                                    <strong>{{item.price * item.quantity | currency }}</strong>
                                </td>
                                <td class="align-middle">
                                    <a class="text-danger">
                                        <i 
                                            (click)="removeItem(item.id, item.quantity)"
                                            class="fa fa-trash" 
                                            style="font-size: 2em; cursor: pointer;"
                                        ></i>
                                    </a>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            <div class="row">
                <div class="col-6 offset-6">
                    <app-order-totals></app-order-totals>
                    <div class="d-grid">
                        <a routerLink="/checkout" class="btn btn-outline-primary py-2">
                            Procede to check out
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </ng-container>
</div>
